Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Participation

List
GET /calendarmodules/{moduleId}/calendars/{calendarId}/participation
https://api.relesysapp.net/api/v1.4/calendarmodules/{moduleId}/calendars/{calendarId}/participation
Get a list of event participations.

attendanceConfirmed will only be set if attendance confirmation is enabled on the related calendar event - otherwise it will be null.

Default sort is by creationDateTime in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.calendars, relesys.api.calendars:read
URL Path
moduleId string / guid required
calendarId string / guid required
Query String
attendanceConfirmed boolean Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
eventId string / guid Filterable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
status string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"e3c48700-5549-4d07-ab75-bc6940661b92","url":null,"eventId":"b299e77b-75f3-4b5d-9639-4d3f33ee9b11","eventUrl":null,"userId":"1cc84f7a-2e89-4f3a-96ea-76531f79ea79","userUrl":null,"status":"Attending","attendanceConfirmed":false,"fillingId":"2ace97b9-7164-4a17-922e-f66376609ee5","fillingUrl":null,"creationDateTime":"2026-10-15T07:45:17.5700498+00:00","lastModifiedDateTime":"2026-10-16T07:45:17.5700498+00:00"},{"id":"75506dee-3fbd-440b-994b-af1cb981dcaf","url":null,"eventId":"38564e77-33fc-4d63-a3b6-4caf10d00d26","eventUrl":null,"userId":"d5add18d-227c-4373-87f3-a989ecdddf17","userUrl":null,"status":"Tentative","attendanceConfirmed":true,"fillingId":null,"fillingUrl":null,"creationDateTime":"2026-10-16T07:45:17.5700498+00:00","lastModifiedDateTime":null},{"id":"e944a867-0f20-474e-964e-531e82f28e24","url":null,"eventId":"c14513e8-4c8e-4739-ae30-96fbbbb3405e","eventUrl":null,"userId":"f41e680b-c517-4771-a195-753ccef748a9","userUrl":null,"status":"Not attending","attendanceConfirmed":null,"fillingId":"5bd6cc78-57cd-4e26-8ab7-a5810fe1bc80","fillingUrl":null,"creationDateTime":"2026-10-16T07:45:17.5700498+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   attendanceConfirmed boolean      
   creationDateTime datetimeoffset      
   eventId string / guid      
   eventUrl string      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string